#version 430 core

in vec2 blurUV[10];
in vec2 fragmentUV;

layout (location=0) out vec4 fragColor;

layout(binding=1) uniform sampler2D ver;

void main() {
/*
	vec4 colorU2		= texture(ver, vec2(fragmentUV.x-(4/resolution.x), fragmentUV.y));
	vec4 colorU1		= texture(ver, vec2(fragmentUV.x-(2/resolution.x), fragmentUV.y));
	vec4 colorCurrent	= texture(ver, vec2(fragmentUV.x	, fragmentUV.y));
	vec4 colorD1		= texture(ver, vec2(fragmentUV.x+(2/resolution.x), fragmentUV.y));
	vec4 colorD2		= texture(ver, vec2(fragmentUV.x+(4/resolution.x), fragmentUV.y));

	fragColor = colorU2*0.061 + colorU1*0.242 + colorCurrent*0.383 + colorD1*0.242 + colorD2*0.061;
	//fragColor = vec4(1,1,1,fragColor.a);
	*/
	/*
	fragColor = vec4(0.0);
	fragColor += texture(ver, blurUV[0]) * 0.000003;
	fragColor += texture(ver, blurUV[1]) * 0.000229;
	fragColor += texture(ver, blurUV[2]) * 0.005977;
	fragColor += texture(ver, blurUV[3]) * 0.060598;
	fragColor += texture(ver, blurUV[4]) * 0.24173;
	fragColor += texture(ver, fragmentUV)* 0.382926;
	fragColor += texture(ver, blurUV[5]) * 0.24173;
	fragColor += texture(ver, blurUV[6]) * 0.060598;
	fragColor += texture(ver, blurUV[7]) * 0.005977;
	fragColor += texture(ver, blurUV[8]) * 0.000229;
	fragColor += texture(ver, blurUV[9]) * 0.000003;
	*/
	fragColor = vec4(0.0);
	fragColor += textureLod(ver, blurUV[0] , 1) * 0.066414;
	fragColor += textureLod(ver, blurUV[1] , 1) * 0.079465;
	fragColor += textureLod(ver, blurUV[2] , 1) * 0.091364;
	fragColor += textureLod(ver, blurUV[3] , 1) * 0.100939;
	fragColor += textureLod(ver, blurUV[4] , 1) * 0.107159;
	fragColor += textureLod(ver, fragmentUV, 1) * 0.109318;
	fragColor += textureLod(ver, blurUV[5] , 1) * 0.107159;
	fragColor += textureLod(ver, blurUV[6] , 1) * 0.100939;
	fragColor += textureLod(ver, blurUV[7] , 1) * 0.091364;
	fragColor += textureLod(ver, blurUV[8] , 1) * 0.079465;
	fragColor += textureLod(ver, blurUV[9] , 1) * 0.066414;
}