/* vertex shader */
#version 430 core

layout(location = 0) in vec4 position;

/*  (Pl* Vl * M)  */
//uniform mat4 M_Vl_Pl_Matrix;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

void main()
{
	//gl_Position = M_Vl_Pl_Matrix * vec4(position, 1);
	gl_Position = projection * view * model * position;
}