#version 430 core

in vec3 position;

out vec3 direction;

uniform mat4 ProjectionMatrix;
uniform mat4 ViewMatrix;

void main() {

    direction = position;

    gl_Position = ProjectionMatrix * vec4((mat3(ViewMatrix) * position),1);

}